package com.microsoft.tfs.sdk.samples.teamexplorer;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.forms.widgets.FormToolkit;

import com.microsoft.tfs.client.common.ui.framework.helper.SWTUtil;
import com.microsoft.tfs.client.common.ui.framework.layout.GridDataBuilder;
import com.microsoft.tfs.client.common.ui.teamexplorer.TeamExplorerContext;
import com.microsoft.tfs.client.common.ui.teamexplorer.sections.ITeamExplorerSection;
import com.microsoft.tfs.client.common.ui.teamexplorer.sections.TeamExplorerSectionRegenerateListener;

public class TeamExplorerSampleBaseSection1
    implements ITeamExplorerSection
{
    private String id;
    private String title;

    @Override
    public boolean isVisible(TeamExplorerContext context)
    {
        return true;
    }

    @Override
    public boolean initializeInBackground(TeamExplorerContext context)
    {
        return false;
    }

    @Override
    public void initialize(IProgressMonitor monitor, TeamExplorerContext context, Object state)
    {
    }

    @Override
    public Composite getSectionContent(FormToolkit toolkit, Composite parent, int style, TeamExplorerContext context)
    {
        Composite composite = toolkit.createComposite(parent);

        // Form-style border painting not enabled (0 pixel margins OK) because
        // no applicable controls in this composite
        SWTUtil.gridLayout(composite, 1, false, 0, 5);

        Label label = toolkit.createLabel(composite, "Sample Label"); //$NON-NLS-1$
        label.setBackground(label.getDisplay().getSystemColor(SWT.COLOR_YELLOW));
        GridDataBuilder.newInstance().hAlignFill().hGrab().hSpan(2).applyTo(label);

        return composite;
    }

    @Override
    public String getID()
    {
        return id;
    }

    @Override
    public void setID(String id)
    {
        this.id = id;
    }

    @Override
    public String getTitle()
    {
        return title;
    }

    @Override
    public void setTitle(String title)
    {
        this.title = title;
    }

    @Override
    public void addSectionRegenerateListener(TeamExplorerSectionRegenerateListener listener)
    {
    }

    @Override
    public void removeSectionRegenerateListener(TeamExplorerSectionRegenerateListener listener)
    {
    }

    @Override
    public Object saveState()
    {
        return null;
    }
}
